Bug 236141 - LLD (unlike BFD) ignores unresolved references in libraries for indirect linking
Summary: LLD (unlike BFD) ignores unresolved references in libraries for indirect linking
Status: New
Alias: None
Product: Base System
Classification: Unclassified
Component: bin (show other bugs)
Version: CURRENT
Hardware: Any Any
: --- Affects Only Me
Assignee: freebsd-toolchain mailing list
URL:
Keywords:
Depends on: 236719 236812
Blocks: 236062
  Show dependency treegraph
 
Reported: 2019-03-01 22:15 UTC by Jan Beich
Modified: 2019-04-25 18:41 UTC (History)
4 users (show)

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Jan Beich freebsd_committer 2019-03-01 22:15:35 UTC
ports/ assume if build succeeded then binaries usually work, sans crashes. Only shared libraries with no immediate consumers need -z defs. Turns out this is no longer true after bug 214864 e.g., ports r494319.

$ cat a.c
void foo(void);
void bar() { foo(); }

$ cat b.c
int main() {}

$ cc -fPIC -shared a.c -o a.so
$ cc b.c a.so
$ cc -fuse-ld=bfd b.c a.so
/usr/local/bin/ld.bfd: a.so: undefined reference to `foo'
cc: error: linker command failed with exit code 1 (use -v to see invocation)
Comment 1 Jan Beich freebsd_committer 2019-03-01 22:30:31 UTC
Oops, I forgot to insert a unresolved reference into the binary. Notice LLD accepts what rtld won't.

$ cat b.c
void bar();
int main() { bar();}

$ cc b.c a.so
$ LD_LIBRARY_PATH=. ./a.out
ld-elf.so.1: ./a.so: Undefined symbol "foo"
Comment 2 Alex Richardson freebsd_committer 2019-03-02 12:22:47 UTC
Support for this recently landed in upstream LLD: https://github.com/llvm/llvm-project/commit/b4744d306c0a21933d4339fa4fb497866a36ee49#diff-050be97050a41e1b5f83c19795b5e33d (and is on by default since https://github.com/llvm/llvm-project/commit/ae0294375f3c405aab99f7c75acb0001ecfb2297#diff-050be97050a41e1b5f83c19795b5e33d).

This should be part of ld.lld 9.0 (but it might be possible to backport those patches).
Comment 3 commit-hook freebsd_committer 2019-03-20 20:57:36 UTC
A commit references this bug:

Author: dim
Date: Wed Mar 20 20:57:13 UTC 2019
New revision: 345349
URL: https://svnweb.freebsd.org/changeset/base/345349

Log:
  Pull in r352826 from upstream lld trunk (by Fangrui Song):

    [ELF] Support --{,no-}allow-shlib-undefined

    Summary:
    In ld.bfd/gold, --no-allow-shlib-undefined is the default when
    linking an executable. This patch implements a check to error on
    undefined symbols in a shared object, if all of its DT_NEEDED entries
    are seen.

    Our approach resembles the one used in gold, achieves a good balance
    to be useful but not too smart (ld.bfd traces all DSOs and emulates
    the behavior of a dynamic linker to catch more cases).

    The error is issued based on the symbol table, different from
    undefined reference errors issued for relocations. It is most
    effective when there are DSOs that were not linked with -z defs (e.g.
    when static sanitizers runtime is used).

    gold has a comment that some system libraries on GNU/Linux may have
    spurious undefined references and thus system libraries should be
    excluded (https://sourceware.org/bugzilla/show_bug.cgi?id=6811). The
    story may have changed now but we make --allow-shlib-undefined the
    default for now. Its interaction with -shared can be discussed in the
    future.

    Reviewers: ruiu, grimar, pcc, espindola

    Reviewed By: ruiu

    Subscribers: joerg, emaste, arichardson, llvm-commits

    Differential Revision: https://reviews.llvm.org/D57385

  Pull in r352943 from upstream lld trunk (by Fangrui Song):

    [ELF] Default to --no-allow-shlib-undefined for executables

    Summary:
    This follows the ld.bfd/gold behavior.

    The error check is useful as it captures a common type of ld.so
    undefined symbol errors as link-time errors:

        // a.cc => a.so (not linked with -z defs)
        void f(); // f is undefined
        void g() { f(); }

        // b.cc => executable with a DT_NEEDED entry on a.so
        void g();
        int main() { g(); }

        // ld.so errors when g() is executed (lazy binding) or when the program is started (-z now)
        // symbol lookup error: ... undefined symbol: f

    Reviewers: ruiu, grimar, pcc, espindola

    Reviewed By: ruiu

    Subscribers: llvm-commits, emaste, arichardson

    Tags: #llvm

    Differential Revision: https://reviews.llvm.org/D57569

  Together, these add support for --no-allow-shlib-undefined, and make it
  the default for executables, so they will fail to link if any symbols
  from needed shared libraries are undefined.

  Reported by:	jbeich
  PR:		236062, 236141
  MFC after:	1 month
  X-MFC-With:	r344779

Changes:
  head/contrib/llvm/tools/lld/ELF/Config.h
  head/contrib/llvm/tools/lld/ELF/Driver.cpp
  head/contrib/llvm/tools/lld/ELF/InputFiles.cpp
  head/contrib/llvm/tools/lld/ELF/InputFiles.h
  head/contrib/llvm/tools/lld/ELF/Options.td
  head/contrib/llvm/tools/lld/ELF/SymbolTable.cpp
  head/contrib/llvm/tools/lld/ELF/SymbolTable.h
  head/contrib/llvm/tools/lld/ELF/Writer.cpp
  head/contrib/llvm/tools/lld/docs/ld.lld.1
  head/lib/clang/include/lld/Common/Version.inc
Comment 4 Dimitry Andric freebsd_committer 2019-03-21 21:06:02 UTC
So unfortunately this causes a bunch of gnome ports (and maybe more) to fail to link, due to undefined symbols: see bug 236062 comment 30.

Obviously the new default of --no-allow-shlib-undefined seems to work, in the sense that it does find a bunch of undefined symbols, but now the question is if it is too trigger-happy, or if the ports in question are having under-specified link libraries...
Comment 5 Jan Beich freebsd_committer 2019-03-22 06:01:50 UTC
Both. --no-allow-shlib-undefined in BFD is more lenient and linking in the wild is too sloppy. Unfortunately, it's hard to measure the impact due to many ports skipped.

As Gold also defaults to --no-allow-shlib-undefined DPorts may have fixes e.g.,
https://github.com/DragonFlyBSD/DeltaPorts/blob/dd4e3973258f/ports/devel/libglade2/Makefile.DragonFly
Comment 6 Antoine Brodin freebsd_committer 2019-03-22 07:08:53 UTC
Can the default be flipped until issues in ports are resolved?

I will post here the list of new failures when the build is finished.

There are patches floating around,  like:

https://github.com/libharu/libharu/pull/109/commits/5cc80928121bea38a16794e2cc24191d86e900cd
https://patchwork.openembedded.org/patch/158994/
https://sources.debian.org/src/libpuzzle/0.11-3/debian/patches/02_link_against_libm_jump_regress_1_test/
Comment 7 Jan Beich freebsd_committer 2019-03-22 10:46:10 UTC
I agree with antoine@. As long as /stable/11 is supported only aarch64, armv7 and ports limited to FreeBSD 12+ may accidentally underlink libraries. Bustage from --no-allow-shlib-undefined default currently interferes with Clang 8 and LLVM openmp dogfooding which is supposed to facilitate MFC to /stable/11 before 11.3 freeze.
Comment 8 commit-hook freebsd_committer 2019-03-22 16:20:45 UTC
A commit references this bug:

Author: antoine
Date: Fri Mar 22 16:19:42 UTC 2019
New revision: 496577
URL: https://svnweb.freebsd.org/changeset/ports/496577

Log:
  Fix build after base r345349

  PR:		236141

Changes:
  head/www/faup/Makefile
  head/www/faup/files/
  head/www/faup/files/patch-CMakeLists.txt
Comment 9 commit-hook freebsd_committer 2019-03-22 23:58:12 UTC
A commit references this bug:

Author: kwm
Date: Fri Mar 22 23:57:12 UTC 2019
New revision: 496605
URL: https://svnweb.freebsd.org/changeset/ports/496605

Log:
  Fix build after base r345349

  While do some cleanup of the port.

  PR:		236141

Changes:
  head/devel/libglade2/Makefile
  head/devel/libglade2/pkg-plist
Comment 10 commit-hook freebsd_committer 2019-03-23 00:01:17 UTC
A commit references this bug:

Author: kwm
Date: Sat Mar 23 00:01:05 UTC 2019
New revision: 496606
URL: https://svnweb.freebsd.org/changeset/ports/496606

Log:
  Update gtk30 to 3.24.7.

  This release contains a fix for the build failure after base r345349.

  PR:		236141
  Obtained from:  gnome devel repo

Changes:
  head/x11-toolkits/gtk30/Makefile
  head/x11-toolkits/gtk30/distinfo
Comment 11 Antoine Brodin freebsd_committer 2019-03-23 08:33:38 UTC
On i386,  graphics/cairo no longer builds,  more than 5000 ports skipped

http://beefy11.nyi.freebsd.org/data/head-i386-default/p496612_s345426/logs/errors/cairo-1.15.12,2.log
Comment 12 Jan Beich freebsd_committer 2019-03-23 09:10:14 UTC
antoine@, are you sure it's not one of elftoolchain affecting string(1)? ax_cv_c_float_words_bigendian check in cairo doesn't use shared libraries.
Comment 13 Antoine Brodin freebsd_committer 2019-03-23 09:13:13 UTC
(In reply to Jan Beich from comment #12)
it's possible..
Comment 14 Antoine Brodin freebsd_committer 2019-03-23 09:51:12 UTC
(In reply to Jan Beich from comment #12)
right it was fixed by base r345431
Comment 15 commit-hook freebsd_committer 2019-03-23 10:59:06 UTC
A commit references this bug:

Author: kwm
Date: Sat Mar 23 10:58:50 UTC 2019
New revision: 496635
URL: https://svnweb.freebsd.org/changeset/ports/496635

Log:
  Fix build after base r345349

  While here, do some cleanup of the port.
  Release maintainer

  PR:		236141

Changes:
  head/x11-toolkits/gtkglarea2/Makefile
  head/x11-toolkits/gtkglarea2/files/
  head/x11-toolkits/gtkglarea2/files/patch-Makefile.in
Comment 16 commit-hook freebsd_committer 2019-03-23 11:03:12 UTC
A commit references this bug:

Author: kwm
Date: Sat Mar 23 11:02:35 UTC 2019
New revision: 496636
URL: https://svnweb.freebsd.org/changeset/ports/496636

Log:
  Fix build after base r345349

  PR:		236141

Changes:
  head/x11-toolkits/gtkimageview/Makefile
Comment 17 commit-hook freebsd_committer 2019-03-23 11:45:48 UTC
A commit references this bug:

Author: kwm
Date: Sat Mar 23 11:44:52 UTC 2019
New revision: 496640
URL: https://svnweb.freebsd.org/changeset/ports/496640

Log:
  Drop libsocialweb support, it is archived upstream.

  libsocialweb is broken after base r345349. While here pet portlint.

  PR:		236141

Changes:
  head/net-im/folks/Makefile
  head/net-im/folks/pkg-plist
Comment 18 commit-hook freebsd_committer 2019-03-23 16:28:44 UTC
A commit references this bug:

Author: kwm
Date: Sat Mar 23 16:28:24 UTC 2019
New revision: 496668
URL: https://svnweb.freebsd.org/changeset/ports/496668

Log:
  Fix build after base r345349

  While here pet portlint.

  PR:		236141

Changes:
  head/graphics/goocanvas/Makefile
Comment 19 commit-hook freebsd_committer 2019-03-23 19:20:05 UTC
A commit references this bug:

Author: kwm
Date: Sat Mar 23 19:19:59 UTC 2019
New revision: 496684
URL: https://svnweb.freebsd.org/changeset/ports/496684

Log:
  Fix build after base r345349

  PR:		236141

Changes:
  head/x11-toolkits/libgnomeui/Makefile
Comment 20 Antoine Brodin freebsd_committer 2019-03-23 19:58:55 UTC
New failures on amd64 (on ports/head@496002):

+ {"origin"=>"audio/libshout", "phase"=>"build", "errortype"=>"linker_error"}
+ {"origin"=>"audio/sdl_sound", "phase"=>"build", "errortype"=>"linker_error"}
+ {"origin"=>"audio/shout-idjc", "phase"=>"build", "errortype"=>"linker_error"}
+ {"origin"=>"audio/slv2", "phase"=>"build", "errortype"=>"linker_error"}
+ {"origin"=>"biology/iolib", "phase"=>"build", "errortype"=>"linker_error"}
+ {"origin"=>"biology/ncbi-cxx-toolkit", "phase"=>"build", "errortype"=>"linker_error"}
+ {"origin"=>"cad/geda", "phase"=>"build", "errortype"=>"linker_error"}
+ {"origin"=>"cad/lepton-eda", "phase"=>"build", "errortype"=>"linker_error"}
+ {"origin"=>"cad/netgen", "phase"=>"build", "errortype"=>"linker_error"}
+ {"origin"=>"databases/postgis20", "phase"=>"build", "errortype"=>"linker_error"}
+ {"origin"=>"databases/postgis21", "phase"=>"build", "errortype"=>"linker_error"}
+ {"origin"=>"deskutils/gworkspace-gwmetadata", "phase"=>"build", "errortype"=>"linker_error"}
+ {"origin"=>"devel/libglade2", "phase"=>"build", "errortype"=>"linker_error"}
+ {"origin"=>"devel/redasm", "phase"=>"build", "errortype"=>"linker_error"}
+ {"origin"=>"devel/smack", "phase"=>"build", "errortype"=>"linker_error"}
+ {"origin"=>"emulators/virtualbox-ose", "phase"=>"build", "errortype"=>"linker_error"}
+ {"origin"=>"emulators/virtualbox-ose-nox11", "phase"=>"build", "errortype"=>"linker_error"}
+ {"origin"=>"games/ggz-gtk-client", "phase"=>"build", "errortype"=>"linker_error"}
+ {"origin"=>"games/torcs", "phase"=>"build", "errortype"=>"bad_C++_code"}
+ {"origin"=>"graphics/cinepaint", "phase"=>"build", "errortype"=>"linker_error"}
+ {"origin"=>"graphics/dia", "phase"=>"build", "errortype"=>"bad_C++_code"}
+ {"origin"=>"graphics/goocanvas", "phase"=>"build", "errortype"=>"linker_error"}
+ {"origin"=>"graphics/krita", "phase"=>"build", "errortype"=>"linker_error"}
+ {"origin"=>"graphics/libpano13", "phase"=>"build", "errortype"=>"linker_error"}
+ {"origin"=>"graphics/libpuzzle", "phase"=>"build", "errortype"=>"linker_error"}
+ {"origin"=>"graphics/librasterlite2", "phase"=>"build", "errortype"=>"linker_error"}
+ {"origin"=>"graphics/luminance-qt5", "phase"=>"build", "errortype"=>"linker_error"}
+ {"origin"=>"graphics/nvidia-texture-tools", "phase"=>"build", "errortype"=>"linker_error"}
+ {"origin"=>"graphics/sdl_ttf", "phase"=>"build", "errortype"=>"linker_error"}
+ {"origin"=>"graphics/svg2pdf", "phase"=>"build", "errortype"=>"linker_error"}
+ {"origin"=>"graphics/svg2png", "phase"=>"build", "errortype"=>"linker_error"}
+ {"origin"=>"graphics/tesseract", "phase"=>"build", "errortype"=>"linker_error"}
+ {"origin"=>"graphics/xsvg", "phase"=>"build", "errortype"=>"linker_error"}
+ {"origin"=>"mail/dbmail", "phase"=>"build", "errortype"=>"linker_error"}
+ {"origin"=>"math/ggobi", "phase"=>"build", "errortype"=>"linker_error"}
+ {"origin"=>"math/pspp", "phase"=>"build", "errortype"=>"linker_error"}
+ {"origin"=>"net/liblinphone", "phase"=>"build", "errortype"=>"linker_error"}
+ {"origin"=>"net/xorp", "phase"=>"build", "errortype"=>"linker_error"}
+ {"origin"=>"net/xrdp", "phase"=>"build", "errortype"=>"linker_error"}
+ {"origin"=>"print/libharu", "phase"=>"build", "errortype"=>"linker_error"}
+ {"origin"=>"print/panda", "phase"=>"build", "errortype"=>"linker_error"}
+ {"origin"=>"science/healpix", "flavor"=>"c", "phase"=>"configure", "errortype"=>"configure_error"}
+ {"origin"=>"science/healpix", "phase"=>"configure", "errortype"=>"configure_error"}
+ {"origin"=>"science/medit", "phase"=>"build", "errortype"=>"linker_error"}
+ {"origin"=>"sysutils/bareos-server", "phase"=>"build", "errortype"=>"linker_error"}
+ {"origin"=>"sysutils/bareos16-server", "phase"=>"build", "errortype"=>"linker_error"}
+ {"origin"=>"sysutils/pacman", "phase"=>"build", "errortype"=>"linker_error"}
+ {"origin"=>"sysutils/zol", "phase"=>"build", "errortype"=>"linker_error"}
+ {"origin"=>"textproc/link-grammar", "phase"=>"build", "errortype"=>"linker_error"}
+ {"origin"=>"www/faup", "phase"=>"build", "errortype"=>"linker_error"}
+ {"origin"=>"www/libsocialweb", "phase"=>"build", "errortype"=>"linker_error"}
+ {"origin"=>"x11-toolkits/gtk30", "phase"=>"build", "errortype"=>"linker_error"}
+ {"origin"=>"x11-toolkits/gtkglarea2", "phase"=>"build", "errortype"=>"linker_error"}
+ {"origin"=>"x11-toolkits/gtkimageview", "phase"=>"build", "errortype"=>"linker_error"}
+ {"origin"=>"x11-toolkits/gtkmathview", "phase"=>"build", "errortype"=>"bad_C++_code"}
+ {"origin"=>"x11-toolkits/libgdiplus", "phase"=>"build", "errortype"=>"linker_error"}
+ {"origin"=>"x11-toolkits/libsexy", "phase"=>"build", "errortype"=>"linker_error"}
+ {"origin"=>"x11-toolkits/nucleo", "phase"=>"build", "errortype"=>"bad_C++_code"}
+ {"origin"=>"x11/radare-cutter", "phase"=>"build", "errortype"=>"linker_error"}

New failure logs (ipv6 only):

http://beefy12.nyi.freebsd.org/data/head-amd64-default/p496405_s345355/logs/errors/libshout-2.4.1.log
http://beefy12.nyi.freebsd.org/data/head-amd64-default/p496405_s345355/logs/errors/sdl_sound-1.0.3_14.log
http://beefy12.nyi.freebsd.org/data/head-amd64-default/p496405_s345355/logs/errors/libshout-idjc-2.4.2.log
http://beefy12.nyi.freebsd.org/data/head-amd64-default/p496405_s345355/logs/errors/slv2-0.6.6_4.log
http://beefy12.nyi.freebsd.org/data/head-amd64-default/p496405_s345355/logs/errors/io_lib-1.14.10.log
http://beefy12.nyi.freebsd.org/data/head-amd64-default/p496405_s345355/logs/errors/ncbi-cxx-toolkit-21.0.0_1.log
http://beefy12.nyi.freebsd.org/data/head-amd64-default/p496405_s345355/logs/errors/geda-1.8.2_5,1.log
http://beefy12.nyi.freebsd.org/data/head-amd64-default/p496405_s345355/logs/errors/lepton-eda-1.9.7.log
http://beefy12.nyi.freebsd.org/data/head-amd64-default/p496405_s345355/logs/errors/netgen-5.3.1_9.log
http://beefy12.nyi.freebsd.org/data/head-amd64-default/p496405_s345355/logs/errors/postgis20-2.0.7_6.log
http://beefy12.nyi.freebsd.org/data/head-amd64-default/p496405_s345355/logs/errors/postgis21-2.1.8_3.log
http://beefy12.nyi.freebsd.org/data/head-amd64-default/p496405_s345355/logs/errors/gworkspace-gwmetadata-0.9.4_3.log
http://beefy12.nyi.freebsd.org/data/head-amd64-default/p496405_s345355/logs/errors/libglade2-2.6.4_9.log
http://beefy12.nyi.freebsd.org/data/head-amd64-default/p496405_s345355/logs/errors/redasm-2.0_1.log
http://beefy12.nyi.freebsd.org/data/head-amd64-default/p496405_s345355/logs/errors/smack-0.5.0_13.log
http://beefy12.nyi.freebsd.org/data/head-amd64-default/p496405_s345355/logs/errors/virtualbox-ose-5.2.26_3.log
http://beefy12.nyi.freebsd.org/data/head-amd64-default/p496405_s345355/logs/errors/virtualbox-ose-nox11-5.2.26_3.log
http://beefy12.nyi.freebsd.org/data/head-amd64-default/p496405_s345355/logs/errors/ggz-gtk-client-0.0.14.1_9.log
http://beefy12.nyi.freebsd.org/data/head-amd64-default/p496405_s345355/logs/errors/torcs-1.3.7_3.log
http://beefy12.nyi.freebsd.org/data/head-amd64-default/p496405_s345355/logs/errors/cinepaint-1.0.4_14.log
http://beefy12.nyi.freebsd.org/data/head-amd64-default/p496405_s345355/logs/errors/dia-0.97.3_1,1.log
http://beefy12.nyi.freebsd.org/data/head-amd64-default/p496405_s345355/logs/errors/goocanvas-1.0.0_4.log
http://beefy12.nyi.freebsd.org/data/head-amd64-default/p496405_s345355/logs/errors/krita-4.1.8_1.log
http://beefy12.nyi.freebsd.org/data/head-amd64-default/p496405_s345355/logs/errors/libpano13-2.9.19_1.log
http://beefy12.nyi.freebsd.org/data/head-amd64-default/p496405_s345355/logs/errors/libpuzzle-0.11_8.log
http://beefy12.nyi.freebsd.org/data/head-amd64-default/p496405_s345355/logs/errors/librasterlite2-1.0.0_4.log
http://beefy12.nyi.freebsd.org/data/head-amd64-default/p496405_s345355/logs/errors/luminance-hdr-qt5-2.4.0_29.log
http://beefy12.nyi.freebsd.org/data/head-amd64-default/p496405_s345355/logs/errors/nvidia-texture-tools-2.0.8.1_12.log
http://beefy12.nyi.freebsd.org/data/head-amd64-default/p496405_s345355/logs/errors/sdl_ttf-2.0.11_7.log
http://beefy12.nyi.freebsd.org/data/head-amd64-default/p496405_s345355/logs/errors/svg2pdf-0.1.3_6.log
http://beefy12.nyi.freebsd.org/data/head-amd64-default/p496405_s345355/logs/errors/svg2png-0.1.3_6.log
http://beefy12.nyi.freebsd.org/data/head-amd64-default/p496405_s345355/logs/errors/tesseract-3.05.02_4.log
http://beefy12.nyi.freebsd.org/data/head-amd64-default/p496405_s345355/logs/errors/xsvg-0.2.1_7.log
http://beefy12.nyi.freebsd.org/data/head-amd64-default/p496405_s345355/logs/errors/dbmail-3.2.3_3.log
http://beefy12.nyi.freebsd.org/data/head-amd64-default/p496405_s345355/logs/errors/ggobi-2.1.11_1.log
http://beefy12.nyi.freebsd.org/data/head-amd64-default/p496405_s345355/logs/errors/pspp-1.2.0.log
http://beefy12.nyi.freebsd.org/data/head-amd64-default/p496405_s345355/logs/errors/liblinphone-3.12.0_1.log
http://beefy12.nyi.freebsd.org/data/head-amd64-default/p496405_s345355/logs/errors/xorp-1.8.5_10.log
http://beefy12.nyi.freebsd.org/data/head-amd64-default/p496405_s345355/logs/errors/xrdp-0.9.9,1.log
http://beefy12.nyi.freebsd.org/data/head-amd64-default/p496405_s345355/logs/errors/libharu-2.3.0_1.log
http://beefy12.nyi.freebsd.org/data/head-amd64-default/p496405_s345355/logs/errors/panda-0.5.4_9.log
http://beefy12.nyi.freebsd.org/data/head-amd64-default/p496405_s345355/logs/errors/healpix-c-3.50.log
http://beefy12.nyi.freebsd.org/data/head-amd64-default/p496405_s345355/logs/errors/healpix-3.50.log
http://beefy12.nyi.freebsd.org/data/head-amd64-default/p496405_s345355/logs/errors/medit-2012.02.05_3.log
http://beefy12.nyi.freebsd.org/data/head-amd64-default/p496405_s345355/logs/errors/bareos-server-17.2.7_1.log
http://beefy12.nyi.freebsd.org/data/head-amd64-default/p496405_s345355/logs/errors/bareos16-server-16.2.8_1.log
http://beefy12.nyi.freebsd.org/data/head-amd64-default/p496405_s345355/logs/errors/pacman-5.1.3.log
http://beefy12.nyi.freebsd.org/data/head-amd64-default/p496405_s345355/logs/errors/zol-2019031300.log
http://beefy12.nyi.freebsd.org/data/head-amd64-default/p496405_s345355/logs/errors/link-grammar-5.4.4_3.log
http://beefy12.nyi.freebsd.org/data/head-amd64-default/p496405_s345355/logs/errors/faup-1.5.log
http://beefy12.nyi.freebsd.org/data/head-amd64-default/p496405_s345355/logs/errors/libsocialweb-0.25.21_3.log
http://beefy12.nyi.freebsd.org/data/head-amd64-default/p496405_s345355/logs/errors/gtk3-3.24.5.log
http://beefy12.nyi.freebsd.org/data/head-amd64-default/p496405_s345355/logs/errors/gtkglarea-2.0.1_9.log
http://beefy12.nyi.freebsd.org/data/head-amd64-default/p496405_s345355/logs/errors/gtkimageview-1.6.4_5.log
http://beefy12.nyi.freebsd.org/data/head-amd64-default/p496405_s345355/logs/errors/gtkmathview-0.8.0_9.log
http://beefy12.nyi.freebsd.org/data/head-amd64-default/p496405_s345355/logs/errors/libgdiplus-5.6.log
http://beefy12.nyi.freebsd.org/data/head-amd64-default/p496405_s345355/logs/errors/libsexy-0.1.11_10.log
http://beefy12.nyi.freebsd.org/data/head-amd64-default/p496405_s345355/logs/errors/nucleo-0.7.6_22.log
http://beefy12.nyi.freebsd.org/data/head-amd64-default/p496405_s345355/logs/errors/radare-cutter-1.7.4.log
Comment 21 commit-hook freebsd_committer 2019-03-24 13:33:15 UTC
A commit references this bug:

Author: antoine
Date: Sun Mar 24 13:33:04 UTC 2019
New revision: 496723
URL: https://svnweb.freebsd.org/changeset/ports/496723

Log:
  Fix build after base r345349

  PR:		236141

Changes:
  head/devel/libindicator/files/patch-configure
Comment 22 Charlie Li 2019-03-24 17:09:28 UTC
While investigating graphics/tesseract bustage in bug 234285 (both version currently in ports and update), found some possible silliness in autotools configure generation. May be worth looking into since some ports that use autotools don't come with a pre-generated configure script, like graphics/tesseract.

https://github.com/tesseract-ocr/tesseract/issues/2344#issuecomment-475963512
Comment 23 commit-hook freebsd_committer 2019-03-24 19:43:24 UTC
A commit references this bug:

Author: antoine
Date: Sun Mar 24 19:42:39 UTC 2019
New revision: 496771
URL: https://svnweb.freebsd.org/changeset/ports/496771

Log:
  Fix build after base r345349

  PR:		236141

Changes:
  head/x11-toolkits/libsexy/files/
  head/x11-toolkits/libsexy/files/patch-configure
Comment 24 commit-hook freebsd_committer 2019-03-24 19:45:28 UTC
A commit references this bug:

Author: sbruno
Date: Sun Mar 24 19:45:14 UTC 2019
New revision: 496772
URL: https://svnweb.freebsd.org/changeset/ports/496772

Log:
  Fix build after base r345349

  PR:		236141

Changes:
  head/audio/shout-idjc/Makefile
Comment 25 commit-hook freebsd_committer 2019-03-25 14:32:59 UTC
A commit references this bug:

Author: jbeich
Date: Mon Mar 25 14:32:09 UTC 2019
New revision: 496824
URL: https://svnweb.freebsd.org/changeset/ports/496824

Log:
  graphics/sdl_ttf: unbreak --no-allow-shlib-undefined with Gold or LLD 9

  Clang 8 on x86 with -O1 converts ceil(float) to ceilf() but wants
  -msse4.1 to use builtin. GCC 8 on x86 and aarch64 with -O1 and Clang 8
  on aarch64 always use builtin ceil(). To avoid guessing when library
  call will be made just append -lm explicitly.

  ld: error: ./.libs/libSDL_ttf.so: undefined reference to ceilf

  PR:		236141
  Reported by:	pkg-fallout (via antoine)
  Obtained from:	upstream
  Approved by:	portmgr blanket (blocks 144 consumers)

Changes:
  head/graphics/sdl_ttf/files/patch-bug1401
Comment 26 commit-hook freebsd_committer 2019-03-25 18:46:43 UTC
A commit references this bug:

Author: antoine
Date: Mon Mar 25 18:46:35 UTC 2019
New revision: 496850
URL: https://svnweb.freebsd.org/changeset/ports/496850

Log:
  Fix build after base r345349

  PR:		236141

Changes:
  head/graphics/libpuzzle/Makefile
  head/graphics/libpuzzle/files/
  head/graphics/libpuzzle/files/patch-src_Makefile.am
Comment 27 commit-hook freebsd_committer 2019-03-30 09:47:35 UTC
A commit references this bug:

Author: sunpoet
Date: Sat Mar 30 09:47:31 UTC 2019
New revision: 497240
URL: https://svnweb.freebsd.org/changeset/ports/497240

Log:
  Fix build on 13-CURRENT after base r345349

  PR:		236141
  Reported by:	pkg-fallout

Changes:
  head/audio/libshout/Makefile
Comment 28 commit-hook freebsd_committer 2019-04-25 18:41:25 UTC
A commit references this bug:

Author: antoine
Date: Thu Apr 25 18:40:30 UTC 2019
New revision: 500061
URL: https://svnweb.freebsd.org/changeset/ports/500061

Log:
  Fix build after base r345349

  PR:		236141

Changes:
  head/x11-toolkits/libgdiplus/Makefile
  head/x11-toolkits/libgdiplus/files/
  head/x11-toolkits/libgdiplus/files/patch-configure